Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class Command

    java.lang.Object
      org.basex.core.Command

    public final class Command

extends java.lang.Object

This class stores information on an internal command.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`Commands` | `name` Command name.

Constructor Summary
`Command(Commands comm, java.lang.String a)` Constructor.
`Command(java.lang.String input)` Constructor.

Method Summary
`java.lang.String` | `arg(int i)` Returns the specified argument.
`void` | `arg(java.lang.String a)` Parse arguments.
`java.lang.String` | `args()` Returns complete argument string.
`int` | `nrArgs()` Returns the number of arguments.
`Proc` | `proc()` Returns a process instance of the command.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public final Commands name

  Command name.

Constructor Detail

### Command

    public Command(Commands comm,
                   java.lang.String a)

  Constructor.

  Parameters:
    `comm` - command to be set
    `a` - arguments

### Command

    public Command(java.lang.String input)

  Constructor.

  Parameters:
    `input` - command input

Method Detail

### arg

    public java.lang.String arg(int i)

  Returns the specified argument.

  Parameters:
    `i` - argument index
  Returns:
    argument

### arg

    public void arg(java.lang.String a)

  Parse arguments.

  Parameters:
    `a` - arguments to be parsed

### args

    public java.lang.String args()

  Returns complete argument string.

  Returns:
    arguments

### nrArgs

    public int nrArgs()

  Returns the number of arguments.

  Returns:
    number of arguments

### proc

    public Proc proc()

  Returns a process instance of the command.

  Returns:
    process

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD